import Taro, { Component } from '@tarojs/taro';
import './index.scss'

export default class Person extends Component {
  config = {
    navigationBarTitleText: '访问记录'
  }

  state = {
    popVisible: false,
  }

  componentDidShow() {
    // Taro.showLoading()
  }
  handleMaskClose() {
    this.setState({
      popVisible: false,
    })
  }
  activityList(){
    this.setState({
      popVisible: true,
    })
  }
  renderPop() {
    return (
      <View className="pop-box">


        <View className="content">
          <Icon className="iconfont close icon-buoumaotubiao20" onClick={this.handleMaskClose}></Icon>
          <View className="activity-item">
            <View className="name">
              活动名称展示处活动名称展示处活动名么的事借款部分手机电脑热风
            </View>
            <View className="time">
              2019-12-06 12:23:54
            </View>
          </View>
        </View>
      </View>
    )
  }

  render() {
    const {popVisible} = this.state
    return (
      <Block>
        {popVisible&&this.renderPop()}
        <View className='access-page'>
          <View className='item'>
            <View className="tag">我的客户</View>
            <Image className="touxiang" src={require('@assets/default-avatar.png')}></Image>
            <View className="info-top">
              <View className="name">曹建芳</View>
              <View style="display: flex;align-items: center;"><Image className="goutong-icon" src={require('@assets/person/zixun.png')}></Image><Text className="goutong">在线沟通</Text></View>
            </View>
            <View className="activity-name" onClick={this.activityList}>
              活动名称展示处活动名称展示处活动名么的事借款部分手机电脑热风
            </View>
            <Text className="right-icon"></Text>
            <View className="activity-time">
              2019-12-06 12:23:54
            </View>
          </View>
        </View>
      </Block>
    )
  }
}
